<?php
/*
Plugin Name: Earthley Affiliate Link Manager
Version: 0.3.2
Plugin URI: https://plugin.earthley.com
Author: Earthley
Author URI: https://plugin.earthley.com
Description: Changes keywords in blog to affiliates links.
*/

define('WP_EARTHLEYLINKMGR_VERSION', "0.3.2");
include_once 'core.php';

require_once plugin_dir_path( __FILE__ ) . 'lib/wp-package-updater/class-wp-package-updater.php';

/** Enable plugin updates with license check **/
$earthleylinkmgr_updater = new WP_Package_Updater(
    'https://plugin.earthley.com',
    wp_normalize_path( __FILE__ ),
    wp_normalize_path( plugin_dir_path( __FILE__ ) ),
    true
);

/**
 * This function allows you to track usage of your plugin
 * Place in your main plugin file
 * Refer to https://wisdomplugin.com/support for help
 */
if( ! class_exists( 'Plugin_Usage_Tracker') ) {
    require_once dirname( __FILE__ ) . '/lib/wisdom/class-plugin-usage-tracker.php';
}
if( ! function_exists( 'earthleylinkmgr_start_plugin_tracking' ) ) {
    function earthleylinkmgr_start_plugin_tracking() {
        $wisdom = new Plugin_Usage_Tracker(
            __FILE__,
            'http://plugin.earthley.com',
            array('earthleylinkmgr_settings'), //todo update with basic site data and plugin settings array?
            false,
            false,
            0
        );
    }
    earthleylinkmgr_start_plugin_tracking();
}

//delete link should be a confirmation
//js call to remove "no ref id warning"
